Skip to content

API reference / Bank accounts

GET /v1/customers Bearer

List customers

Query parameters

per_page optional integer
GET https://omni.mojo-pay.com/v1/customers
curl -X GET "https://omni.mojo-pay.com/v1/customers" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "object": "list",
    "data": [
        {
            "id": "MC_PAYMENTS01",
            "object": "customer",
            "merchant_reference": "CUST-A1B2C3D4E5",
            "name": "Ama Customer",
            "email": "ama@example.com",
            "mobile": "233544338841",
            "created_at": "2026-04-15T10:00:00+00:00"
        }
    ],
    "has_more": false,
    "total": 1
}